当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 6 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 分享 pidgin 编译安装 的经验
帖子发表于 : 2008-04-22 10:41 

注册: 2008-04-14 19:50
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
今天把新版本的pidgin下载了,我的是2.4.1的。编译安装后遇到了一些问题,目前基本解决,那出来给大家分享。

现说明,过程一对于打算编译安装的人来说参考性不大,可以直接从过程二看起。

过程一:

我直接从新立得删除了旧版本的pidgin,然后安装编译通过。

点击pidgin图标,发现无法启动,在任务栏闪了一下就没了。

然后在我们坛子里找到方法说,删除用户目录下的 .purple 目录下的所有文件。发现这样做了之后可以登陆成功了。
但是退出程序后,再进,又无法启动了。重复删除那个目录,还是可以登陆成功,但是退出后还是无法启动。

看来没从根本上解决问题。

从shell运行pidgin,发现错误:
引用:
pidgin: symbol lookup error: pidgin: undefined symbol: purple_account_get_current_error


网上找到了解决方法,是因为虽然卸载了软件但是没有卸载旧的libpurple:

代码:
sudo apt-get remove pidgin libpurple0


果然这样之后可以顺利登陆了,但是问题又出来了。msn上不去了。说缺少ssl协议支持。

网上的解决方法都是说:
代码:
sudo apt-get install libnss-dev


但是我这死活找不到这个包。

引用:
Couldn't find package libnss-dev


过程二:

后来,找到这篇资料:http://www.linuxdiyf.com/viewarticle.php?id=86326

才发现,新版本的pidgin应该是 libnss3-dev 这个包了。

索性按照上面那片资料说的,先把pidgin全部卸载,再安装编译环境:
代码:
sudo apt-get remove pidgin pidgin-data libpurple0


代码:
sudo apt-get install gcc autoconf gdb automake1.9 libgtk2.0-dev libxml2-dev gettext libnss3-dev libnspr4-dev build-essential libxml-parser-perl libglib2.0-dev libglib2.0-dev libgstreamer0.10-dev


发现问题,apt-get无法检测依赖。所以应该使用
代码:
sudo aptitude install gcc autoconf gdb automake1.9 libgtk2.0-dev libxml2-dev gettext libnss3-dev libnspr4-dev build-essential libxml-parser-perl libglib2.0-dev libglib2.0-dev libgstreamer0.10-dev


再提示插入Ubuntu光盘之后完成。

至此,就可以进行安装的步骤了。
代码:
./configure
make
sudo make install


重新启动后,点击pidgin,发现还是无法启动,症状也是一闪就没了。这次.purple 文件夹已经不在了,所以肯定其他问题。shell运行pidgin发现错误:
引用:
pidgin: error while loading shared libraries: libpurple.so.0: cannot open shared object file: No such file or directory


网上找到了了解决办法:
代码:
sudo ln -s /usr/local/lib/libpurple.so.0 /usr/lib/


然后再启动,哈哈,成功了!再没有其他问题了。


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-04-22 10:43 

注册: 2008-04-14 19:50
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
希望对大家有用~


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-04-22 10:52 

注册: 2006-03-10 15:10
帖子: 3182
地址: xi'an China
送出感谢: 0 次
接收感谢: 2
这个??

源中有 2.4.1 ,没必要编译吧

即使用的不是ubuntu 8.04,源中版本较低的话,可以直接去http://getdeb.net/ 下载对应的安装包,当然也可以直接去8.04的源中下载(不太推荐)比如 ftp://ftp.sjtu.edu.cn/ubuntu/pool/main/p/pidgin


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-04-22 11:01 

注册: 2008-04-14 19:50
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
瑟瑟ls,那此文就献给那些需要编译安装的人呗。


页首
 用户资料  
 
5 楼 
 文章标题 : Re:
帖子发表于 : 2008-12-23 0:00 
头像

注册: 2008-06-06 12:29
帖子: 44
地址: 中国晋江
送出感谢: 0 次
接收感谢: 0 次
shootyou 写道:
瑟瑟ls,那此文就献给那些需要编译安装的人呗。


正需要,谢谢。。。 :em05


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 分享 pidgin 编译安装 的经验
帖子发表于 : 2009-08-20 15:47 

注册: 2008-11-17 9:47
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
支持支持。。。 谢谢,正好搞定


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 6 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译